<?php
/*
Simple:Press Forum Admin
Ahah call for permalink update/integration
$LastChangedDate: 2009-11-14 02:08:52 +0000 (Sat, 14 Nov 2009) $
$Rev: 2965 $
*/

if (preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF']))
{
	die('Access Denied');
}

sfa_admin_ahah_support();

global $sfglobals;

# ----------------------------------
# Check Whether User Can Manage Toolbox
if (!sfc_current_user_can('SPF Manage Options'))
{
	echo (__('Access Denied', "sforum"));
	die();
}

if (isset($_GET['item']))
{
	$item = $_GET['item'];
	if($item == 'upperm') sfa_update_permalink_tool();
}

die();

function sfa_update_permalink_tool()
{
	echo '<strong>&nbsp;'.sfg_update_permalink(true).'</strong>';
	die();
}

die();

?>